<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: bc_metric_defs::bc_metric_ Type Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacebc__metric__defs.html">bc_metric_defs</a></li><li class="navelem"><a class="el" href="structbc__metric__defs_1_1bc__metric__.html">bc_metric_</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structbc__metric__defs_1_1bc__metric__-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">bc_metric_defs::bc_metric_ Type Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Collaboration diagram for bc_metric_defs::bc_metric_:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><img src="structbc__metric__defs_1_1bc__metric____coll__graph.png" border="0" usemap="#bc__metric__defs_1_1bc__metric___coll__map" alt="Collaboration graph"/></div>
<map name="bc__metric__defs_1_1bc__metric___coll__map" id="bc__metric__defs_1_1bc__metric___coll__map">
</map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a91e1b7188ef6b92cfc7f1aaf61157acd"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structbc__metric__defs_1_1bc__metric__.html#a91e1b7188ef6b92cfc7f1aaf61157acd">type</a></td></tr>
<tr class="separator:a91e1b7188ef6b92cfc7f1aaf61157acd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7149ce178124d05585410e75cb5ee45b"><td class="memItemLeft" align="right" valign="top">logical&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structbc__metric__defs_1_1bc__metric__.html#a7149ce178124d05585410e75cb5ee45b">bc</a> = .FALSE.</td></tr>
<tr class="separator:a7149ce178124d05585410e75cb5ee45b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2d4dff3e69d36784e6f0a43c7b45272d"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structbc__metric__defs_1_1bc__metric__.html#a2d4dff3e69d36784e6f0a43c7b45272d">op</a></td></tr>
<tr class="separator:a2d4dff3e69d36784e6f0a43c7b45272d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af428ff7d5a0a6a756de9648cfece694a"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structbc__metric__defs_1_1bc__metric__.html#af428ff7d5a0a6a756de9648cfece694a">op_bc</a></td></tr>
<tr class="separator:af428ff7d5a0a6a756de9648cfece694a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a81628f299d2aed699631ffcd9e9fd191"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structbc__metric__defs_1_1bc__metric__.html#a81628f299d2aed699631ffcd9e9fd191">op_orig</a></td></tr>
<tr class="separator:a81628f299d2aed699631ffcd9e9fd191"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aef3334880f599f936d3ebe6427fb7edb"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structbc__metric__defs_1_1bc__metric__.html#aef3334880f599f936d3ebe6427fb7edb">dist_s</a></td></tr>
<tr class="separator:aef3334880f599f936d3ebe6427fb7edb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7ef0b030bebbf6633ba000117ca6a816"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structbc__metric__defs_1_1bc__metric__.html#a7ef0b030bebbf6633ba000117ca6a816">dist_e</a></td></tr>
<tr class="separator:a7ef0b030bebbf6633ba000117ca6a816"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab298678d156764dba836e61252e19218"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structbc__metric__defs_1_1bc__metric__.html#ab298678d156764dba836e61252e19218">target_op</a></td></tr>
<tr class="separator:ab298678d156764dba836e61252e19218"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ada4954bd97504b0470b8131cd62cb7e2"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structbc__metric__defs_1_1bc__metric__.html#a91e1b7188ef6b92cfc7f1aaf61157acd">type</a>(<a class="el" href="structbc__metric__defs_1_1bc__metric__.html">bc_metric_</a>), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structbc__metric__defs_1_1bc__metric__.html#ada4954bd97504b0470b8131cd62cb7e2">next</a></td></tr>
<tr class="separator:ada4954bd97504b0470b8131cd62cb7e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a7149ce178124d05585410e75cb5ee45b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7149ce178124d05585410e75cb5ee45b">&#9670;&nbsp;</a></span>bc</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">logical bc_metric_defs::bc_metric_::bc = .FALSE.</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a7ef0b030bebbf6633ba000117ca6a816"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7ef0b030bebbf6633ba000117ca6a816">&#9670;&nbsp;</a></span>dist_e</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer bc_metric_defs::bc_metric_::dist_e</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aef3334880f599f936d3ebe6427fb7edb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aef3334880f599f936d3ebe6427fb7edb">&#9670;&nbsp;</a></span>dist_s</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer bc_metric_defs::bc_metric_::dist_s</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ada4954bd97504b0470b8131cd62cb7e2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ada4954bd97504b0470b8131cd62cb7e2">&#9670;&nbsp;</a></span>next</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structbc__metric__defs_1_1bc__metric__.html#a91e1b7188ef6b92cfc7f1aaf61157acd">type</a>(<a class="el" href="structbc__metric__defs_1_1bc__metric__.html">bc_metric_</a>), pointer bc_metric_defs::bc_metric_::next</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a2d4dff3e69d36784e6f0a43c7b45272d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2d4dff3e69d36784e6f0a43c7b45272d">&#9670;&nbsp;</a></span>op</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:,:), pointer bc_metric_defs::bc_metric_::op</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af428ff7d5a0a6a756de9648cfece694a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af428ff7d5a0a6a756de9648cfece694a">&#9670;&nbsp;</a></span>op_bc</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:), pointer bc_metric_defs::bc_metric_::op_bc</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a81628f299d2aed699631ffcd9e9fd191"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a81628f299d2aed699631ffcd9e9fd191">&#9670;&nbsp;</a></span>op_orig</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:,:), pointer bc_metric_defs::bc_metric_::op_orig</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab298678d156764dba836e61252e19218"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab298678d156764dba836e61252e19218">&#9670;&nbsp;</a></span>target_op</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:,:,:,:), pointer bc_metric_defs::bc_metric_::target_op</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a91e1b7188ef6b92cfc7f1aaf61157acd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a91e1b7188ef6b92cfc7f1aaf61157acd">&#9670;&nbsp;</a></span>type</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer bc_metric_defs::bc_metric_::type</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this type was generated from the following file:<ul>
<li><a class="el" href="bc__metric__defs_8f90.html">bc_metric_defs.f90</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:50 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
